# $Revision: 1.3 $, $Date: 2006/08/24 22:35:28 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DateTime
%define	pnam	Format-Strptime
Summary:	DateTime::Format::Strptime - Parse and format strp and strf time patterns
Summary(pl):	DateTime::Format::Strptime - analiza i formatowanie wzorcw czasu strp i strf
Name:		perl-DateTime-Format-Strptime
Version:	1.0700
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/R/RI/RICKM/DateTime-Format-Strptime-%{version}.tar.gz
# Source0-md5:	fcda7127b01dcad43ca7cf30be9a1dc6
URL:		http://search.cpan.org/dist/DateTime-Format-Strptime/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DateTime >= 0.15
BuildRequires:	perl-DateTime-Locale >= 0.02
BuildRequires:	perl-DateTime-TimeZone >= 0.25
BuildRequires:	perl-Params-Validate >= 0.64
%endif
Requires:	perl-DateTime >= 0.28-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements most of strptime(3), the POSIX function that is
the reverse of strftime(3), for DateTime. While strftime takes a
DateTime and a pattern and returns a string, strptime takes a string
and a pattern and returns the DateTime object associated.

%description -l pl
Ten modu implementuje wikszo strptime(3) - funkcji POSIX bdcej
odwrotn dla strftime(3), dla DateTime. O ile strftime przyjmuje
DateTime i wzorzec, a zwraca acuch, to strptime przyjmuje acuch i
wzorzec, a zwraca powizany obiekt DateTime.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/DateTime/Format/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DateTime-Format-Strptime.spec,v $
Revision 1.3  2006/08/24 22:35:28  glen
- rel 2

Revision 1.2  2006/08/24 21:07:41  qboosh
- pl, package names in BRs

Revision 1.1  2006/08/22 16:10:51  glen
- new
